Bug 113646 - malformed pkgid: glibc-headers-2.3.2-101.4.i386.rpm
malformed pkgid: glibc-headers-2.3.2-101.4.i386.rpm
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: glibc (Show other bugs)
1
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-01-15 21:47 EST by Erik Jacobsen
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-01-16 03:27:32 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Erik Jacobsen 2004-01-15 21:47:20 EST
Description of problem: I get GPG errors when updating
glibc-headers-2.3.2-101.4.i386.rpm via up2date:
glibc-headers-2.3.2-101.4.i The package glibc-headers-2.3.2-101.4 does
not have a valid GPG signature.
It has been tampered with or corrupted.  Aborting...
 
************ GPG VERIFICATION ERROR ****************
The package glibc-headers-2.3.2-101.4 failed its gpg signature
verification. Thi s means the package is corrupt.
****************************************************
I downloaded the package from
http://download.fedora.redhat.com/pub/fedora/linux/core/updates/1/i386/
and ran <# rpm -q --pkgid glibc-headers-2.3.2-101.4.i386.rpm> command.
 here is the output:
malformed pkgid: glibc-headers-2.3.2-101.4.i386.rpm

Version-Release number of selected component (if applicable):
2.3.2-101.4

How reproducible:
rpm -q --pkgid glibc-headers-2.3.2-101.4.i386.rpm


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Jakub Jelinek 2004-01-16 03:27:32 EST
The first error (does not have a valid GPG signature) means the
file was crippled during transmission (it verifies ok on the master side or mirrors I've tried), just retry.
The latter is an operator error, please read rpm manual page.
If you want to verify signature, use rpm -K glibc-headers*.i386.rpm,
--pkgid option's argument is not a filename, but a package id.

Note You need to log in before you can comment on or make changes to this bug.